Subject: [xmpp] 6122bis: compliance / enforcement

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 15 Jul 2011 14:22:59 -0600

RFC 3920 was unclear about what entities need to enforce compliance with
the address format, and RFC 6120 didn't really clarify the matter. If we
improve the error handling then perhaps this isn't such a big deal, but
at the least we need to say whether clients MUST or SHOULD comply (and
what that means for each possible JID slot). I think we have agreement
that, at a minimum, the server MUST enforce the rules (for some JID
slots, anyway).

BTW http://tools.ietf.org/html/draft-saintandre-xmpp-i18n-03#section-7
has more details about JID slots. Do people here think it would be
helpful to include that text in 6122bis, perhaps just as an informative
appendix?

Peter

-- 
Peter Saint-Andre
https://stpeter.im/